Subject: bug#79358: etags-regen-mode doesn't work for remote projects

From: Michael Albinus <[email-masked]>
Date: Tue, 02 Sep 2025 09:10:20 +0200

Liu Hui <[email-masked]> writes:

Hi,

> I find etags-regen--tags-generate uses shell-command-on-region to run
> the ctags command, but it seems shell-command-on-region doesn't call
> the remote command correctly.

You are right. shell-command-on-region uses call-process-region, which
isn't aware of remote locations.

I don't know whether we could change this simply. Other uses of
shell-command-on-region, which trust that the command runs locally,
could be broken.

Best regards, Michael.